RIAccountingData.statisticsType (accounting-node 1.4.0-2.13.0 API)
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.common.accounting.node.persistence
Enum RIAccountingData.statisticsType

    java.lang.Object
      java.lang.Enum<RIAccountingData.statisticsType>
          org.gcube.common.accounting.node.persistence.RIAccountingData.statisticsType

All Implemented Interfaces:
  Serializable, Comparable<RIAccountingData.statisticsType>

Enclosing class:
  RIAccountingData

    public static enum RIAccountingData.statisticsType

extends Enum<RIAccountingData.statisticsType>

Enum Constant Summary
`IncomingCalls`
`InvocationTime`

Method Summary
`String` | `toString()`
`static RIAccountingData.statisticsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RIAccountingData.statisticsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### InvocationTime

    public static final RIAccountingData.statisticsType InvocationTime

### IncomingCalls

    public static final RIAccountingData.statisticsType IncomingCalls

Method Detail

### values

    public static RIAccountingData.statisticsType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RIAccountingData.statisticsType c : RIAccountingData.statisticsType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RIAccountingData.statisticsType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<RIAccountingData.statisticsType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.